[PC-BSD Commits] r735 - in pcbsd/trunk/installcd-overlay: boot usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Mon Sep 17 02:25:48 PDT 2007


Author: tim
Date: 2007-09-17 02:25:47 -0700 (Mon, 17 Sep 2007)
New Revision: 735

Modified:
   pcbsd/trunk/installcd-overlay/boot/loader.conf
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetDetect.sh
Log:
Add detection for Marvell Yukon cards with the msk driver.

Modified: pcbsd/trunk/installcd-overlay/boot/loader.conf
===================================================================
--- pcbsd/trunk/installcd-overlay/boot/loader.conf	2007-09-16 16:44:34 UTC (rev 734)
+++ pcbsd/trunk/installcd-overlay/boot/loader.conf	2007-09-17 09:25:47 UTC (rev 735)
@@ -3,5 +3,6 @@
 mfsroot_name="/boot/mfsroot"
 autoboot_delay="5"                      # Set timeout for loader splash
 if_nfe_load="YES" 			# Load NFE driver
+if_msk_load="YES"			# Load MSK driver
 #geom_stripe_load="YES"
 #geom_vinum_load="YES"

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh	2007-09-16 16:44:34 UTC (rev 734)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh	2007-09-17 09:25:47 UTC (rev 735)
@@ -103,3 +103,11 @@
   cat /mnt/boot/loader.conf | grep -v "if_nfe" > /mnt/tmp/loader.new
   mv /mnt/tmp/loader.new /mnt/boot/loader.conf
 fi
+
+# Check if we need to keep the msk driver loaded
+echo " ${config}" | grep " msk"  >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cat /mnt/boot/loader.conf | grep -v "if_msk" > /mnt/tmp/loader.new
+  mv /mnt/tmp/loader.new /mnt/boot/loader.conf
+fi

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetDetect.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetDetect.sh	2007-09-16 16:44:34 UTC (rev 734)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetDetect.sh	2007-09-17 09:25:47 UTC (rev 735)
@@ -4,7 +4,7 @@
 
 config="`ifconfig -l`"
 
-NIC="de em ixgb txp vx bfe bge dc fxp lge nge pcn re rl sf sis sk ste ti tl tx vge vr wb xl cs ed ex ep fe ie lnc sn xe an awi wi nve nfe"
+NIC="de em ixgb txp vx bfe bge dc fxp lge nge pcn re rl sf sis sk ste ti tl tx vge vr wb xl cs ed ex ep fe ie lnc sn xe an awi wi nve nfe msk"
 
 for i in $NIC; do
 



More information about the Commits mailing list